Bug 1293257 - SELinux is preventing /usr/local/bin/ruby from 'read' accesses on the file kallsyms.
SELinux is preventing /usr/local/bin/ruby from 'read' accesses on the file ka...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:bb98b0d4f641d1a9a612ced2675...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 04:12 EST by Yajo
Modified: 2016-12-20 12:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:15:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yajo 2015-12-21 04:12:07 EST
Description of problem:
Running a sass watcher to compile sass files in the host.

Steps to reproduce:

1. Add a docker-compose.yml file with this content:

app:
    image: busybox
    volumes:
        - ./app:/app:ro,z

sass:
    image: yajo/sass
    volumes:
        - ./app:/app:z

2. `docker-compose up`.
SELinux is preventing /usr/local/bin/ruby from 'read' accesses on the file kallsyms.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, ruby debería permitir acceso read sobre  kallsyms file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep adapter.rb:299 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:svirt_lxc_net_t:s0:c221,c308
Target Context                system_u:object_r:system_map_t:s0
Target Objects                kallsyms [ file ]
Source                        adapter.rb:299
Source Path                   /usr/local/bin/ruby
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-157.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.6-301.fc23.x86_64 #1 SMP Fri
                              Nov 20 22:22:41 UTC 2015 x86_64 x86_64
Alert Count                   2
First Seen                    2015-12-21 10:10:01 CET
Last Seen                     2015-12-21 10:10:13 CET
Local ID                      51270792-40b9-455a-9551-729946390063

Raw Audit Messages
type=AVC msg=audit(1450689013.906:821): avc:  denied  { read } for  pid=10290 comm="adapter.rb:299" name="kallsyms" dev="proc" ino=4026532028 scontext=system_u:system_r:svirt_lxc_net_t:s0:c221,c308 tcontext=system_u:object_r:system_map_t:s0 tclass=file permissive=0


type=SYSCALL msg=audit(1450689013.906:821): arch=x86_64 syscall=open success=no exit=EACCES a0=7fb3aac62760 a1=80000 a2=1b6 a3=ffffffff items=0 ppid=10255 pid=10290 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=adapter.rb:299 exe=/usr/local/bin/ruby subj=system_u:system_r:svirt_lxc_net_t:s0:c221,c308 key=(null)

Hash: adapter.rb:299,svirt_lxc_net_t,system_map_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-157.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-301.fc23.x86_64
type:           libreport
Comment 2 Fedora Admin XMLRPC Client 2016-09-27 10:58:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 09:25:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:15:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.